using UnityEngine;
using System.Collections;

public class MainSceneScript : MonoBehaviour {

    public DudeScript DudeScript;
    public GUIText StateText;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (Input.GetMouseButtonUp(0)) {
            DudeScript.ChangeMoving();
        }

        if(DudeScript != null)
            StateText.text = string.Format("{0} State", DudeScript.State.ToString());
	}
}
